Bug 481411 - Review Request: perl-Test-Email - Test email contents
Review Request: perl-Test-Email - Test email contents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 481410
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 02:10 EST by Ralf Corsepius
Modified: 2010-12-21 01:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:09:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-01-24 02:10:03 EST
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-Email.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-Email-0.04-1.fc10.src.rpm
Description:
Test::Email is a subclass of MIME::Entity, with the above methods.
If you want the messages fetched from a POP3 account, use Test::POP3.

Notes:
- There is a newer version (0.07) available on search.cpan.org, however CPAN's database still carries 0.04. To avoid inconsistencies on installations using cpan, I am intentionally packaging the old version.
- This package is a dependency of rt3's testsuite.
Comment 1 Parag AN(पराग) 2009-01-27 09:43:23 EST
+ is OK
- Need work

Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1085955
+ rpmlint is silent for SRPM
- rpmlint is NOT silent for RPM.
perl-Test-Email.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-Test-Email-0.04/Changes
perl-Test-Email.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-Test-Email-0.04/README
==>This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

+ source files match upstream url
bb409977cffb292cd85d80d10506f59e  Test-Email-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=1, Tests=7,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.15 cusr  0.01 csys =  0.17 CPU)
+ Package  perl-Test-Email-0.04-1.fc11 ->
Provides: perl(Test::Email) = 0.04 perl(Test::POP3) = 0.05
Requires: perl(Carp) perl(MIME::Parser) perl(Mail::POP3Client) perl(Test::Builder) perl(Test::Email) perl(base) perl(strict) perl(warnings)

Suggestion:-
1) Fix rpmlint message before importing to cvs.

APPROVED.
Comment 2 Ralf Corsepius 2009-01-27 10:57:45 EST
Thanks for the reviews, Parag!

New Package CVS Request
=======================
Package Name: perl-Test-Email
Short Description: Test email contents
Owners: corsepiu
Branches: F-10 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-30 01:31:13 EST
cvs done.
Comment 4 Fedora Update System 2009-02-04 21:09:15 EST
perl-Test-Email-0.04-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Xavier Bachelot 2010-12-19 07:29:44 EST
This package is needed for RT3 in EPEL6. however Ralf doesn't maintain packages in EPEL, thus I'm requesting a branch as Mark and I are maintaining RT3 there.

Package Change Request
======================
Package Name: perl-Test-Email
New Branches: el5 el6
Owners: xavierb tremble
Comment 6 Ralf Corsepius 2010-12-19 08:20:40 EST
(In reply to comment #5)
> This package is needed for RT3 in EPEL6. however Ralf doesn't maintain packages
> in EPEL, thus I'm requesting a branch as Mark and I are maintaining RT3 there.
Thanks for wanting to maintain them in EPEL.

> Owners: xavierb tremble

Are you sure Mark is interested? I have to presume he is not, because he is amongst those individuals who did not reply when trying to contact them.
Comment 7 Xavier Bachelot 2010-12-19 09:16:32 EST
(In reply to comment #6)
> (In reply to comment #5)
> > This package is needed for RT3 in EPEL6. however Ralf doesn't maintain packages
> > in EPEL, thus I'm requesting a branch as Mark and I are maintaining RT3 there.
> Thanks for wanting to maintain them in EPEL.
> 
Thanks for building all of the huge RT3 stack in the first place :-)

> > Owners: xavierb tremble
> 
> Are you sure Mark is interested? I have to presume he is not, because he is
> amongst those individuals who did not reply when trying to contact them.

Mark recently stepped up to co-maintain RT3 in EPEL, so I assume he is.

Regards,
Xavier
Comment 8 Kevin Fenzi 2010-12-21 01:00:06 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.